Skip to main content

List default request queue's requests

GET 

/v2/actor-runs/:runId/request-queue/requests

Returns a list of requests from the default request queue of the Actor run.

This endpoint is a shortcut for getting the run's defaultRequestQueueId and then using the List requests endpoint.

Request

Path Parameters

    runId string required

    Actor run ID.


    Example: 3KH8gEpp4d8uQSe8T

Query Parameters

    clientKey string

    A unique identifier of the client accessing the request queue. It must be a string between 1 and 32 characters long. This identifier is used to determine whether the queue was accessed by multiple clients. If clientKey is not provided, the system considers this API call to come from a new client. For details, see the hadMultipleClients field returned by the Get head operation.


    Example: client-abc
    exclusiveStartId string deprecated

    All requests up to this one (including) are skipped from the result. (Deprecated, use cursor instead.)


    Example: Ihnsp8YrvJ8102Kj
    limit double

    Number of keys to be returned. Maximum value is 10000.


    Example: 100
    cursor string

    A cursor string for pagination, returned in the previous response as nextCursor. Use this to retrieve the next page of requests.


    Example: eyJyZXF1ZXN0SWQiOiI2OFRqQ2RaTDNvM2hiUU0ifQ
    filter string[]

    Possible values: [locked, pending]

    Filter requests by their state. Possible values are locked and pending. You can combine multiple values separated by commas, which will mean the union of these filters – requests matching any of the specified states will be returned. (Not compatible with deprecated exclusiveStartId parameter.)


    Example: ["locked"]

Status 200

Response Headers
    {
    "data": {
    "items": [
    {
    "id": "dnjkDMKLmdlkmlkmld",
    "retryCount": 0,
    "uniqueKey": "http://example.com",
    "url": "http://example.com",
    "method": "GET",
    "loadedUrl": "http://example.com/example-1",
    "payload": null,
    "noRetry": false,
    "errorMessages": null,
    "headers": null,
    "userData": {
    "label": "DETAIL",
    "image": "https://picserver1.eu"
    },
    "handledAt": "2019-06-16T10:23:31.607Z"
    },
    {
    "id": "dnjkDMKLmdlkmlkmld",
    "retryCount": 0,
    "uniqueKey": "http://example.com",
    "url": "http://example.com",
    "method": "GET",
    "loadedUrl": "http://example.com/example-1",
    "payload": null,
    "noRetry": false,
    "errorMessages": null,
    "headers": null,
    "userData": {
    "label": "DETAIL",
    "image": "https://picserver1.eu"
    },
    "handledAt": "2019-06-16T10:23:31.607Z"
    }
    ],
    "count": 2,
    "limit": 2,
    "exclusiveStartId": "Ihnsp8YrvJ8102Kj"
    }
    }